Page MenuHomePhabricator

packaging: extract invocation of pyoxidizer to own function
ClosedPublic

Authored by indygreg on May 6 2021, 8:00 PM.

Details

Summary

I'll be refactoring how the WiX installer creation calls into
pyoxidizer and will need a lower level function for facilitating
that.

The new run_pyoxidizer() builds our execution environment
(with gettext available) and invokes pyoxidizer.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

indygreg created this revision.May 6 2021, 8:00 PM
baymax updated this revision to Diff 27758.May 7 2021, 11:30 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 27795.May 10 2021, 11:38 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

mharbison72 accepted this revision.May 11 2021, 12:11 AM
mharbison72 added a subscriber: mharbison72.

This is interesting because the test-gendoc-* tests mostly fail on my Windows machines with py3 (but work with py2). The executable is /mingw/bin/msgfmt.exe, but it's been there forever and IDR where I got it. That's a strange place for executables, so I assume it's not from the mingw installers and that I just stuffed it there as a convenient way to get it on PATH. Installing various MSYS packages on the new CI system didn't install a msgfmt that hghave accepted. So then I installed https://github.com/vslavik/gettext-tools-windows/releases/download/v0.21-1/gettext-tools-windows-0.21-1.zip, and it failed the tests in a different way. The 0.14.4 version from SF doesn't seem to print a version number, so that's likely why hghave won't use it for tests.

This revision is now accepted and ready to land.May 11 2021, 12:11 AM